import { AnchoredCategorySeries } from "./AnchoredCategorySeries";
import { IHorizontalAnchoredCategorySeriesInteractionManager } from "./IHorizontalAnchoredCategorySeriesInteractionManager";
import { Type, Point } from "igniteui-react-core";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { NumericYAxis } from "./NumericYAxis";
import { NumericAxisBase } from "./NumericAxisBase";
import { CategoryMode } from "./CategoryMode";
import { SeriesPlotAreaMarginHorizontalMode } from "./SeriesPlotAreaMarginHorizontalMode";
import { SeriesPlotAreaMarginVerticalMode } from "./SeriesPlotAreaMarginVerticalMode";
import { Axis } from "./Axis";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { Rect } from "igniteui-react-core";
import { ScalerParams } from "./ScalerParams";
import { FastItemsSourceEventAction } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class HorizontalAnchoredCategorySeries extends AnchoredCategorySeries {
    static $t: Type;
    private acf;
    get acg(): IHorizontalAnchoredCategorySeriesInteractionManager;
    o2(): void;
    ck(): SeriesPlotAreaMarginHorizontalMode;
    cl(): SeriesPlotAreaMarginVerticalMode;
    xAxis: CategoryAxisBase;
    yAxis: NumericYAxis;
    protected b2(): SeriesHitTestMode;
    yq(): CategoryAxisBase;
    y7(): NumericAxisBase;
    wn(a: Point): Rect;
    private act;
    protected acl(a: Point, b: Point, c: boolean): boolean;
    aj(a: Point): Point[][];
    al(a: Point): Point[][];
    gw(a: Point, b: boolean): boolean;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    i5(a: Point, b: boolean, c: boolean): number;
    ka(a: Point, b: boolean): number;
    j8(a: Point, b: boolean): number;
    ip(a: Point, b: number, c: Axis, d: ScalerParams, e: number): number;
    wa(a: Point, b: boolean, c: boolean): Point;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    abp(a: Axis): void;
    abq(a: Axis): void;
    zn(): boolean;
    protected acb: CategoryAxisBase;
    protected ach: NumericAxisBase;
    acp(a: CategoryAxisBase): void;
    acq(a: NumericYAxis): void;
    yk(a: number, b: number): any[];
    protected q7(a: any, b: string, c: any, d: any): void;
    protected pb(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    acj(a: any): boolean;
    ack(a: any): boolean;
    private acd;
    get ace(): CategoryMode;
    set ace(a: CategoryMode);
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
